Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_serializer

## Name

librdf_new_serializer -- Constructor - create a new librdf_serializer object

## Synopsis

``librdf_serializer* `librdf_new_serializer`` (librdf_world * `world`, const char * `name`, const char * `mime_type`, librdf_uri * `type_uri`);`

## Arguments

`world`

  redland world object

`name`

  the serializer factory name

`mime_type`

  the MIME type of the syntax (NULL if not used)

`type_uri`

  URI of syntax (NULL if not used)

## Return value

new librdf_serializer object or NULL

<<< Previous | Home | Next >>>
librdf_get_serializer_factory | Up | librdf_new_serializer_from_factory